routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
    //return view('welcome');

//});
//dd('SISTEMA EM MANUTENÇÃO : VOLTAMOS EM ALGUNS MINUTOS.');
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('/', 'HomeController@index')->name('home');

//Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/acessonegado', 'AcessonegadoController@index')->name('acessonegado');
Route::resource('roles','RoleController');

Route::any('/importador','ImportadorController@index')->name('importador');
Route::any('/exportador','ExportadorController@index')->name('exportador');
Route::any('/exportador/export', 'ExportadorController@export')->name('exportador/export');
Route::any('/exportador/getprogress', 'ExportadorController@getprogress')->name('exportador/getprogress');


Route::any('/importador/importar','ImportadorController@importar')->name('importador/importar');
Route::any('/importador/getprogress','ImportadorController@getprogress')->name('importador/getprogress');


Route::any('/importador/rodcga','ImportadorController@rodcga')->name('importador/rodcga');
Route::any('/importador/rodgru','ImportadorController@rodgru')->name('importador/rodgru');
Route::any('/importador/rodunn','ImportadorController@rodunn')->name('importador/rodunn');
Route::any('/importador/rodcus','ImportadorController@rodcus')->name('importador/rodcus');
Route::any('/importador/pagcla','ImportadorController@pagcla')->name('importador/pagcla');
Route::any('/importador/cargo','ImportadorController@cargo')->name('importador/cargo');
Route::any('/importador/getprogressrodcus','ImportadorController@getprogressrodcus')->name('importador/getprogressrodcus');
Route::any('/importador/getprogressrodunn','ImportadorController@getprogressrodunn')->name('importador/getprogressrodunn');
Route::any('/importador/getprogressrodgru','ImportadorController@getprogressrodgru')->name('importador/getprogressrodgru');
Route::any('/importador/getprogressrodcga','ImportadorController@getprogressrodcga')->name('importador/getprogressrodcga');
Route::any('/importador/getprogresspagcla','ImportadorController@getprogresspagcla')->name('importador/getprogresspagcla');
Route::any('/importador/getprogresscargo','ImportadorController@getprogresscargo')->name('importador/getprogresscargo');

Route::any('/menudre','MenudreController@index')->name('menudre');
Route::any('/dre/pacote','DreController@pacote')->name('dre/pacote');
Route::any('/dre/download','DreController@download')->name('dre/download');
Route::any('/dre/detalhe','DreController@detalhe')->name('dre/detalhe');
Route::any('/dre/menu','DreController@menu')->name('dre/menu');
Route::any('/dre/processaebitda','DreController@processaebitda')->name('dre/processaebitda');
Route::any('/dre','DreController@index')->name('dre');

Route::any('/Previsaoorcamentaria/atualizadre','PrevisaoorcamentariaController@atualizadre')->name('previsaoorcamentaria/atualizadre');
Route::any('/Previsaoorcamentaria/simuladorepi','PrevisaoorcamentariaController@simuladorepi')->name('previsaoorcamentaria/simuladorepi');
Route::any('/Previsaoorcamentaria/dre','PrevisaoorcamentariaController@dre')->name('previsaoorcamentaria/dre');
Route::any('/Previsaoorcamentaria/pacoterateio','PrevisaoorcamentariaController@pacoterateio')->name('previsaoorcamentaria/pacoterateio');
Route::any('/Previsaoorcamentaria/simuladorqlp','PrevisaoorcamentariaController@simuladorqlp')->name('previsaoorcamentaria/simuladorqlp');
Route::any('/Previsaoorcamentaria/simuladorqlpadm','PrevisaoorcamentariaController@simuladorqlpadm')->name('previsaoorcamentaria/simuladorqlpadm');

Route::any('/Previsaoorcamentaria/receitarota','PrevisaoorcamentariaController@receitarota')->name('previsaoorcamentaria/receitarota');
Route::any('/Previsaoorcamentaria/variaveis','PrevisaoorcamentariaController@variaveis')->name('previsaoorcamentaria/variaveis');
Route::any('/Previsaoorcamentaria/trechos','PrevisaoorcamentariaController@trechos')->name('previsaoorcamentaria/trechos');
Route::any('/Previsaoorcamentaria/pacote','PrevisaoorcamentariaController@pacote')->name('previsaoorcamentaria/pacote');
Route::any('/Previsaoorcamentaria/operacional','PrevisaoorcamentariaController@operacional')->name('previsaoorcamentaria/operacional');
Route::any('/Previsaoorcamentaria/gente','PrevisaoorcamentariaController@gente')->name('previsaoorcamentaria/gente');
Route::any('/Previsaoorcamentaria/menu','PrevisaoorcamentariaController@menu')->name('previsaoorcamentaria/menu');
Route::any('/Previsaoorcamentaria/menupacote','PrevisaoorcamentariaController@menupacote')->name('previsaoorcamentaria/menupacote');
Route::any('/Previsaoorcamentaria/menufilial','PrevisaoorcamentariaController@menufilial')->name('previsaoorcamentaria/menufilial');
Route::any('/Previsaoorcamentaria/importar','PrevisaoorcamentariaController@importar')->name('previsaoorcamentaria/importar');
Route::any('/Previsaoorcamentaria/iniciaorclanfor','PrevisaoorcamentariaController@iniciaorclanfor')->name('previsaoorcamentaria/iniciaorclanfor');

Route::any('/forecast/receitarota','ForecastController@receitarota')->name('forecast/receitarota');
Route::any('/forecast/variaveis','ForecastController@variaveis')->name('forecast/variaveis');
Route::any('/forecast/pacote','ForecastController@pacote')->name('forecast/pacote');
Route::any('/forecast/operacional','ForecastController@operacional')->name('forecast/operacional');
Route::any('/forecast/gente','ForecastController@gente')->name('forecast/gente');
Route::any('/forecast/menu','ForecastController@menu')->name('forecast/menu');
Route::any('/forecast/menupacote','ForecastController@menupacote')->name('forecast/menupacote');
Route::any('/forecast/menufilial','ForecastController@menufilial')->name('forecast/menufilial');
Route::any('/forecast/importar','ForecastController@importar')->name('forecast/importar');
Route::any('/forecast/iniciaorclanfor','ForecastController@iniciaorclanfor')->name('forecast/iniciaorclanfor');

Route::any('/forecast','ForecastController@index')->name('forecast');

Route::any('/users-list', 'UsersController@usersList')->name('users-list');
Route::resource('users', 'UsersController');

//Route::any('/centrodegastounidade', 'CentrodegastounidadeController@index')->name('centrodegastounidade');
Route::any('/cdgu-list', 'CentrodegastounidadeController@cdguList')->name('cdgu-list');
Route::any('/centrodegastounidade/pacote', 'CentrodegastounidadeController@pacote')->name('centrodegastounidade/pacote');

Route::resource('centrodegastounidade', 'CentrodegastounidadeController');

Route::any('/receitarotaitens-list', 'ReceitarotaitensController@receitarotaitensList')->name('receitarotaitens-list');
Route::resource('receitarotaitens', 'ReceitarotaitensController');

Route::any('/passivoop-list', 'PassivoopController@passivoopList')->name('passivoop-list');
Route::resource('passivoop', 'PassivoopController');

Route::any('/deducoes-list', 'DeducoesController@deducoesList')->name('deducoes-list');
Route::resource('deducoes', 'DeducoesController');

Route::any('/impostos-list', 'ImpostosController@impostosList')->name('impostos-list');
Route::resource('impostos', 'ImpostosController');

Route::any('/variaveis-list', 'VariaveisController@variaveisList')->name('variaveis-list');
Route::resource('variaveis', 'VariaveisController');

Route::any('/epiitens-list', 'EpiitensController@epiitensList')->name('epiitens-list');
Route::resource('epiitens', 'EpiitensController');

Route::any('/custoclassificacao-list', 'CustoclassificacaoController@custoclassificacaoList')->name('custoclassificacao-list');
Route::resource('custoclassificacao', 'CustoclassificacaoController');

app/Http/Controllers/ImpostosController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Redirect,Response,DB,Config;
use Datatables;
use View;
use Session;

class ImpostosController extends Controller
{
    public $itemMenu = 13;

    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('ativo');
        View::share ( 'itemMenu', $this->itemMenu );
    }

    public function index()
    {
        //$pageIcon = 'admin-list';
        //$pageTitulo = 'Receita Rota Itens';
        //$itemMenu = 6;
        //View::share ( 'itemMenu', $itemMenu );

        return view('impostos.index');
    }
    public function impostosList()
    {
        $sql = "SELECT IMPOSTOS.id AS ID, IMPOSTOS.ano AS ANO, IMPOSTOS.confis AS CONFIS, IMPOSTOS.filial AS FILIAL, IMPOSTOS.icms AS ICMS, IMPOSTOS.indiceiss AS INDICEISS, IMPOSTOS.pis AS PIS, IMPOSTOS.contribuicao_serv AS CONTRIBUICAO_SERV, IMPOSTOS.contribuicao_trans AS CONTRIBUICAO_TRANS, IMPOSTOS.irpj_serv AS IRPJ_SERV, IMPOSTOS.irpj_trans AS IRPJ_TRANS, IMPOSTOS.cprb AS CPRB, IMPOSTOS.despcorp AS DESPCORP,CONCAT( IMPOSTOS.filial, ' - ', RODCGA.DESCRI ) AS NOMEFILIAL FROM IMPOSTOS INNER JOIN RODCGA ON IMPOSTOS.filial = RODCGA.CODCGA WHERE RODCGA.SITUAC = 'A' ORDER BY IMPOSTOS.filial";
        $lista = DB::select($sql);

       // dd($lista);
        return datatables()->of($lista)
        ->addIndexColumn()
        ->addColumn('action', function($lista){

               $btn =  '<a href="'.route('impostos.edit',['ID'=>$lista->ID]).'" class="btn btn-sm btn-info pull-left" style="margin-right: 3px;">Editar</a>';

                return $btn;
        })
        ->rawColumns(['action'])
            ->make(true);
    }

    public function create()
    {
        $listaRodcga = DB::table('RODCGA')->select('CODCGA','DESCRI AS NOMEFILIAL')->where('SITUAC','=','A')->orderBy('DESCRI','ASC')->get();
        return view('impostos.create',['listaRodcga'=>$listaRodcga]);
    }

    public function store(Request $request)
    {

       // $val[]= array('CODUNN'=>$request->CODUNN,'DESCRI'=>$request->DESCRI,'IDPAI'=>$request->idPAI);

       $val = array('ano'=>$request->ano, 'icms'=>$request->icms, 'confis'=>$request->confis, 'filial'=>$request->filial, 'indiceiss'=>$request->indiceiss, 'pis'=>$request->pis, 'contribuicao_serv'=>$request->contribuicao_serv, 'contribuicao_trans'=>$request->contribuicao_trans, 'irpj_serv'=>$request->irpj_serv, 'irpj_trans'=>$request->irpj_trans, 'cprb'=>$request->cprb, 'despcorp'=>$request->despcorp);

       // $val[]= array('CODUNN'=>$request->CODUNN,'DESCRI'=>$request->DESCRI,'IDPAI'=>$request->idPAI,'ORDEM' => $request->ORDEM,'TIPO'=>$request->TIPO,'OBJTIPO'=>$request->OBJTIPO,'ORDEMFUNC'=>$request->ORDEMFUNC);

        $insertVal = DB::table('IMPOSTOS')->insert($val);

        return redirect()->route('impostos.index')
            ->with('flash_message',
             'Registro Adicionado.');
    }

    public function show($id)
    {

    }

    public function edit(Request $request,$id)
    {


        $listaRodcga = DB::table('RODCGA')->select('CODCGA','DESCRI AS NOMEFILIAL')->where('SITUAC','=','A')->orderBy('DESCRI','ASC')->get();

        if($id){
            $impostos = DB::table('IMPOSTOS')->select('*')->where('id','=',$id)->first();
        }else{
            return redirect()->route('impostos.index')
            ->with('flash_message',
             'Registro não encotrado.');
        }

        return view('impostos.edit',['listaRodcga'=>$listaRodcga,'id'=>$id,'impostos'=>$impostos]);
    }

    public function update(Request $request, $id)
    {

        $val = array('ano'=>$request->ano,'icms'=>$request->icms, 'confis'=>$request->confis, 'filial'=>$request->filial, 'indiceiss'=>$request->indiceiss, 'pis'=>$request->pis, 'contribuicao_serv'=>$request->contribuicao_serv, 'contribuicao_trans'=>$request->contribuicao_trans, 'irpj_serv'=>$request->irpj_serv, 'irpj_trans'=>$request->irpj_trans, 'cprb'=>$request->cprb, 'despcorp'=>$request->despcorp);

        $updateVal  = DB::table('IMPOSTOS')
            ->where('id','=', $id)
            ->update($val);

        return redirect()->route('impostos.index')
            ->with('flash_message',
             'Registro atualizado.');

    }

    public function destroy($id)
    {

    }


}

resources/views/impostos/create.blade.php
@extends('master',['itemMenu'=>$itemMenu])

@section('page_header')

@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
    <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    </h1>
@stop

@section('content')
<style>
.row>[class*=col-] {
    margin-bottom: 5px;
}
</style>
<div class="page-content container-center">

        <div class="alerts"></div>
            <div class="row">
                <div class="col-md-6">
                    <div class="panel panel-bordered">
                        <form name="frmAdd" method="POST" action="{{route('impostos.store')}}">
                        {{ csrf_field() }}
                        <input id="ano" type="hidden" name="ano" value="{{$ano}}">
                        <div class="panel-body">
                                    <div class="form-group  ">
                                            <label for="name">FILIAL</label>
                                            <select class="form-control select2" name="filial">
                                                @foreach ($listaRodcga as $lr)
                                                <option value="{{$lr->CODCGA}}">{{$lr->CODCGA}} - {{$lr->NOMEFILIAL}}</option>
                                                @endforeach
                                            </select>
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">ICMS</label>
                                        <input class="form-control" type="text" name="icms" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">CONFIS</label>
                                        <input class="form-control" type="text" name="confis" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">INDICEISS</label>
                                        <input class="form-control" type="text" name="indiceiss" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">PIS</label>
                                        <input class="form-control" type="text" name="pis" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">CONTRIBUICAO_SERV</label>
                                        <input class="form-control" type="text" name="contribuicao_serv" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">CONTRIBUICAO_TRANS</label>
                                        <input class="form-control" type="text" name="contribuicao_trans" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">IRPJ_SERV</label>
                                        <input class="form-control" type="text" name="irpj_serv" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">IRPJ_TRANS</label>
                                        <input class="form-control" type="text" name="irpj_trans" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">CPRB</label>
                                        <input class="form-control" type="text" name="cprb" />
                                    </div>

                                    <div class="form-group" >
                                        <label for="name">DESPCORP</label>
                                        <input class="form-control" type="text" name="despcorp" />
                                    </div>
                        </div>
                        <div class="panel-footer">
                                <button type="submit" class="btn btn-primary save">Salvar</button>
                        </div>
                       </form>
                    </div>
                </div>
            </div>
</div>
@endsection
@section('javascript')
<script>
        $(document).ready( function () {
          });
</script>
@endsection

resources/views/impostos/edit.blade.php
@extends('master',['itemMenu'=>$itemMenu])

@section('page_header')

@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
    <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    </h1>
@stop

@section('content')
<style>
.row>[class*=col-] {
    margin-bottom: 5px;
}
</style>
<div class="page-content container-fluid">

        <div class="alerts"></div>
            <div class="row">
                <div class="col-md-6">
                    <div class="panel panel-bordered">
                        <form name="frmAdd" method="POST" action="{{route('impostos.update',$id)}}">
                        {{ csrf_field() }}
                        <input type="hidden" name="_method" value="PUT">
                        <input id="ano" type="hidden" name="ano" value="{{$impostos->ano}}">
                        <div class="form-group  ">
                            <label for="name">FILIAL</label>
                            <select class="form-control select2" name="filial">
                                @foreach ($listaRodcga as $lr)

                                    @if($lr->CODCGA == $impostos->filial)
                                    <option selected="selected" value="{{$lr->CODCGA}}">{{$lr->CODCGA}} - {{$lr->NOMEFILIAL}}</option>
                                    @else
                                    <option value="{{$lr->CODCGA}}">{{$lr->CODCGA}} - {{$lr->NOMEFILIAL}}</option>
                                    @endif

                                @endforeach
                            </select>
                        </div>
                        <div class="panel-body">
                            <div class="form-group" >
                                <label for="name">ICMS</label>
                                <input class="form-control" type="text" name="icms" value="{{$impostos->icms}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">CONFIS</label>
                            <input class="form-control" type="text" name="confis" value="{{$impostos->confis}}" />
                            </div>

                            <div class="form-group" >
                                <label for="name">INDICEISS</label>
                                <input class="form-control" type="text" name="indiceiss"  value="{{$impostos->indiceiss}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">PIS</label>
                                <input class="form-control" type="text" name="pis"  value="{{$impostos->pis}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">CONTRIBUICAO_SERV</label>
                                <input class="form-control" type="text" name="contribuicao_serv"  value="{{$impostos->contribuicao_serv}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">CONTRIBUICAO_TRANS</label>
                                <input class="form-control" type="text" name="contribuicao_trans"  value="{{$impostos->contribuicao_trans}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">IRPJ_SERV</label>
                                <input class="form-control" type="text" name="irpj_serv"  value="{{$impostos->irpj_serv}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">IRPJ_TRANS</label>
                                <input class="form-control" type="text" name="irpj_trans"  value="{{$impostos->irpj_trans}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">CPRB</label>
                                <input class="form-control" type="text" name="cprb"  value="{{$impostos->cprb}}"/>
                            </div>

                            <div class="form-group" >
                                <label for="name">DESPCORP</label>
                                <input class="form-control" type="text" name="despcorp"  value="{{$impostos->despcorp}}"/>
                            </div>

                        </div>
                        <div class="panel-footer">
                                <button type="submit" class="btn btn-primary save">Salvar</button>
                        </div>
                       </form>
                    </div>
                </div>
            </div>
</div>
@endsection
@section('javascript')
<script>
        $(document).ready( function () {
          });
</script>
@endsection

resources/views/impostos/index.blade.php
@extends('master',['itemMenu'=>$itemMenu])

@section('page_header')

@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
    <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    <a href="{{route('impostos.create')}}" class="btn btn-success btn-add-new">
        <i class="admin-plus"></i> <span>Adicionar</span>
    </a>
    </h1>
@stop

@section('content')
<style>
.row>[class*=col-] {
    margin-bottom: 5px;
}
.table {
        font-size:10px !important;
    }
.table>thead>tr>th {
    font-weight: bolder;
    color: #526069;
}
.btn {
    padding: 4px 6px;
    font-size: 11px;
    margin-top: 0px;
    margin-bottom: 0px;
}
</style>
<div class="page-content container-fluid">

        <div class="alerts"></div>
            <div class="row">
                <div class="col-md-12">
                    <div class="panel panel-bordered">
                        <div class="panel-body">
                        <table class="table table-bordered" id="laravel_datatable">
                                <thead>
                                   <tr>
                                      <th>ID</th>
                                      <th>NOMEFILIAL</th>
                                      <th>ANO</th>
                                      <th>ICMS</th>
                                      <th>CONFIS</th>
                                      <th>INDICEISS</th>
                                      <th>PIS</th>
                                      <th>CONTRIBUICAO_SERV</th>
                                      <th>CONTRIBUICAO_TRANS</th>
                                      <th>IRPJ_SERV</th>
                                      <th>IRPJ_TRANS</th>
                                      <th>CPRB</th>
                                      <th>DESPCORP</th>
                                      <th width="100px">AÇÃO</th>
                                   </tr>
                                </thead>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
</div>
@endsection
@section('javascript')
<script>
        $(document).ready( function () {
         $('#laravel_datatable').DataTable({
                processing: true,
                serverSide: true,
                order: [[ 1, "asc" ]],
                ajax: "{{ url('impostos-list') }}",
                columns: [
                         { data: 'ID', name: 'ID'},
                         { data: 'NOMEFILIAL', name: 'NOMEFILIAL' },
                         { data: 'ANO', name: 'ANO' },
                         { data: 'ICMS', name: 'ICMS' },
                         { data: 'CONFIS', name: 'CONFIS' },
                         { data: 'INDICEISS', name: 'INDICEISS' },
                         { data: 'PIS', name: 'PIS' },
                         { data: 'CONTRIBUICAO_SERV', name: 'CONTRIBUICAO_SERV' },
                         { data: 'CONTRIBUICAO_TRANS', name: 'CONTRIBUICAO_TRANS' },
                         { data: 'IRPJ_SERV', name: 'IRPJ_SERV' },
                         { data: 'IRPJ_TRANS', name: 'IRPJ_TRANS' },
                         { data: 'CPRB', name: 'CPRB' },
                         { data: 'DESPCORP', name: 'DESPCORP' },
                         { data: 'action', name: 'action', orderable: false, searchable: false}
                      ],
                      language:{
                        "sEmptyTable": "Nenhum registro encontrado",
                        "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                        "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                        "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                        "sInfoPostFix": "",
                        "sInfoThousands": ".",
                        "sLengthMenu": "_MENU_ resultados por página",
                        "sLoadingRecords": "Carregando...",
                        "sProcessing": "Processando...",
                        "sZeroRecords": "Nenhum registro encontrado",
                        "sSearch": "Pesquisar",
                        "oPaginate": {
                            "sNext": "Próximo",
                            "sPrevious": "Anterior",
                            "sFirst": "Primeiro",
                            "sLast": "Último"
                        },
                        "oAria": {
                            "sSortAscending": ": Ordenar colunas de forma ascendente",
                            "sSortDescending": ": Ordenar colunas de forma descendente"
                        }
                    }

             });
          });
</script>
@endsection